%define     major 0
%define		package_name gda
Summary:	GNU Data Access
Name: 		libgda
Version:	0.2.90
Release: 	1mdk
Copyright: 	GPL/LGPL
Group: 		Databases
Source:		ftp://ftp.gnome.org/pub/GNOME/sources/gnome-db/%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires: gdbm-devel
BuildRequires: gtk+-devel 
BuildRequires: ORBit-devel 
BuildRequires: libGConf1-devel 
BuildRequires: liboaf0-devel 
BuildRequires: libxml-devel 
BuildRequires: perl-devel
BuildRequires: popt-devel
BuildRequires: postgresql-devel
BuildRequires: gob >= 1.0.5
BuildRequires: bison
URL: 		http://www.gnome.org/projects/gnome-db/

%description
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome.org/projects/gnome-db), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

%package -n %{package_name}
Summary: GNU Data Access 
Group: 		Databases

%description -n %{package_name}
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome.org/projects/gnome-db), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

%package -n %{name}%{major}
Summary: GNU Data Access 
Group: 		Databases
Provides:	%{name} = %{version}
Obsoletes:	%{name}

%description -n %{name}%{major}
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome.org/projects/gnome-db), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

%package -n %{name}%{major}-devel
Summary: GNU Data Access Development
Group: 		Development/Databases
Requires:	%{name}%{major} = %{version}
Provides:	%{name}-devel

%description -n %{name}%{major}-devel
GNU Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information
 servers, mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 libgda was part of the GNOME-DB project
 (http://www.gnome.org/projects/gnome-db), but has been
 separated from it to allow non-GNOME applications to be
 developed based on it.

%package -n %{package_name}-postgres%{major}
Summary: GDA PostgreSQL Provider
Group:		Databases
Requires:	%{name} = %{version}
Provides:	%{package_name}-postgres = %{version}
Obsoletes:	%{package_name}-postgres

%description -n %{package_name}-postgres%{major}
GNU Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information
 servers, mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 libgda was part of the GNOME-DB project
 (http://www.gnome.org/projects/gnome-db), but has been
 separated from it to allow non-GNOME applications to be
 developed based on it.

 This package includes the GDA PostgreSQL provider

%package -n %{package_name}-mysql%{major}
Summary: GDA MySQL Provider
Group:		Databases
Requires:	%{name} = %{version}
Provides:	%{package_name}-mysql = %{version}
Obsoletes:	%{package_name}-mysql

%description -n %{package_name}-mysql%{major}
GNU Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information
 servers, mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 libgda was part of the GNOME-DB project
 (http://www.gnome.org/projects/gnome-db), but has been
 separated from it to allow non-GNOME applications to be
 developed based on it.

 This package includes the GDA MySQL provider


%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build

CFLAGS="$RPM_OPT_FLAGS" ./configure $ARCH_FLAGS --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --with-postgres --with-mysql

#doesn't support parallel compilation
make

%install
make prefix=$RPM_BUILD_ROOT%{_prefix} GDA_oafdir=$RPM_BUILD_ROOT%{_datadir}/oaf install

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{name}%{major} -p /sbin/ldconfig
							  
%postun -n %{name}%{major} -p /sbin/ldconfig
							  
%post -n gda-postgres%{major} -p /sbin/ldconfig
							  
%postun -n gda-postgres%{major} -p /sbin/ldconfig
							  
%post -n gda-mysql%{major} -p /sbin/ldconfig
							  
%postun -n gda-mysql%{major} -p /sbin/ldconfig
							  
%files -f %{name}.lang -n %{package_name}
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/gda-test
%{_bindir}/gda-run
%{_bindir}/gda-default-srv
%{_datadir}/gda
%{_datadir}/gnome/help/libgda
%{_datadir}/oaf/GNOME_GDA_Provider_Default.oaf

%files -n %{name}%{major}
%defattr(-, root, root)
%{_libdir}/libgda-common*.so.*
%{_libdir}/libgda-client*.so.*
%{_libdir}/libgda-server*.so.*

%files -n %{name}%{major}-devel
%defattr(-, root, root)

%{_bindir}/gda-build*
%{_bindir}/gda-config
%{_libdir}/lib*.so
%{_libdir}/libgda-common.*a
%{_libdir}/libgda-client.*a
%{_libdir}/libgda-server.*a
%{_includedir}/gda
%{_datadir}/idl/*
%{_datadir}/gnome/html/*

%files -n gda-postgres%{major}
%defattr(-, root, root)

%{_bindir}/gda-postgres-srv
%{_datadir}/oaf/GNOME_GDA_Provider_Postgres.*

%files -n gda-mysql%{major}
%defattr(-, root, root)

%{_bindir}/gda-mysql-srv
%{_datadir}/oaf/GNOME_GDA_Provider_MySQL.*

%changelog
* Sun Jul 01 2001 Stefan van der Eijk <stefan@eijk.nu> 0.2.10-2mdk
- BuildRequires: gdbm-devel
- BuildRequires: perl-devel
- BuildRequires: popt-devel

* Wed Jun 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.10-1mdk
- Release 0.2.10

* Tue Jun 26 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 0.2.9-2mdk
- fix ugly casting in lemon : should work for all 64bit platform

* Tue Jun 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.9-1mdk
- new version for gnumeric 0.65 (R. Chaillat)
- Remove patch0

* Mon Mar 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.3-2mdk
- Disable checking of glib2 (patch0)

* Thu Feb 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.3-1mdk
- Release 0.2.3

* Tue Feb 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.2-1mdk
- First mandrake package
- Libified

* Sat Sep 2 2000 Rodrigo Moya <rodrigo@linuxave.net>
- Initial spec imported from old GNOME-DB spec
